## flask-dance 6.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  spellcheck to check spelling"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FlaskDance.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FlaskDance.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FlaskDance"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FlaskDance"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

spellcheck:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spelling check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/spelling/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
flask-dance (6.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the autopkgtest using an upstream patch (Closes: #1028877).

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 19 Jan 2023 18:02:16 -0600

flask-dance (6.2.0-2) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Mon, 21 Nov 2022 19:05:23 -0300

flask-dance (6.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1006952).
    Thanks to Gabriela Pivetta and Joao Pedro Elias de Moura.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 21 Oct 2022 12:30:13 -0300

=== debian/control ===
Source: flask-dance
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>,
           Gabriela Pivetta <gpivetta99@gmail.com>,
           João Pedro <joaopedrohm17@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 flit,
 python3-setuptools,
 python3-all,
 python3-requests-oauthlib,
 python3-requests,
 python3-oauthlib,
 python3-flask,
 python3-werkzeug,
 python3-urlobject,
 python3-sphinx <!nodoc>,
 python3-pytest <!nocheck> <!nodoc>,
 python3-pytest-mock <!nocheck>,
 python3-responses <!nocheck>,
 python3-freezegun <!nocheck>,
 python3-coverage <!nocheck>,
 python3-flask-sqlalchemy <!nocheck>,
 python3-sqlalchemy <!nocheck> <!nodoc>,
 python3-flask-login <!nocheck>,
 python3-flask-caching <!nocheck>,
 python3-betamax <!nocheck> <!nodoc>,
 python3-funcparserlib <!nodoc>,
 python3-sphinxcontrib.spelling <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-enchant <!nodoc>,
 python3-docs-theme <!nodoc>,
 libjs-underscore <!nodoc>,
 libjs-jquery <!nodoc>,
 sphinx-common <!nodoc>,
 python3-blinker <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://flask-dance.readthedocs.io/en/latest/
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-dance
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-dance.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-flask-dance
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Suggests: python-flask-dance-doc
Description: Connect your Flask app with OAuth
 Flask-Dance does the "OAuth dance" using Flask, requests, and oauthlib. It is
 designed to allow users to authenticate via OAuth protocol on Flask-based
 applications. It is built using blueprints, therefore supports all the features
 that any blueprint supports, including registering the blueprint at any URL
 prefix or subdomain you want, url routing, and custom error handlers.
 .
 This package installs the library for Python 3.

Package: python-flask-dance-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Description: Connect your Flask app with OAuth (common documentation)
 Flask-Dance does the "OAuth dance" using Flask, requests, and oauthlib. It is
 designed to allow users to authenticate via OAuth protocol on Flask-based
 applications. It is built using blueprints, therefore supports all the features
 that any blueprint supports, including registering the blueprint at any URL
 prefix or subdomain you want, url routing, and custom error handlers.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export PYBUILD_NAME=flask-dance

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="python3-coverage run -m pytest -m \"not install_required\"" \
	dh_auto_test
endif

=== debian/tests/control ===
Test-command: python3-coverage run -m pytest 
Depends: @, @builddeps@

## flask-dance 7.0.1

=== docs/requirements.txt ===
sphinx>=1.3
sphinxcontrib-seqdiag
sphinxcontrib-spelling
Flask-Sphinx-Themes

# code dependencies, needed for imports
sqlalchemy>=1.3.11
pytest
betamax

=== debian/changelog ===
flask-dance (7.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version (closes: #1060020)

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Jan 2024 06:55:31 +0000

flask-dance (7.0.0-1) unstable; urgency=medium

   * Team upload.

   [ Lucas Gabriel Sousa Camargo Paiva ]
   * d/control: Bump Standards-Version to 4.6.2, no changes needed.

   [ Guilherme Puida Moreira ]
   * New upstream version 7.0.0.
   * Remove d/p/fix_test_url.patch: The patch was applied upstream, importing
     the new upstream version added the patch changes.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Thu, 28 Sep 2023 19:58:07 -0300

## flask-dance 7.1.0

=== debian/changelog ===
flask-dance (7.1.0-2) unstable; urgency=medium

  * Team upload.
  * Remove dep on python3-funcparserlib
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Mar 2025 19:49:58 +0100

flask-dance (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.1.0.

 -- Washington Bispo Arishita Junior <juniorbispo515@gmail.com>  Wed, 03 Apr 2024 19:25:03 -0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            João Pedro <joaopedrohm17@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  flit,
  python3-setuptools,
@@ -29,7 +29,6 @@
  python3-flask-login <!nocheck>,
  python3-flask-caching <!nocheck>,
  python3-betamax <!nocheck> <!nodoc>,
- python3-funcparserlib <!nodoc>,
  python3-sphinxcontrib.spelling <!nodoc>,
  python3-sphinxcontrib.seqdiag <!nodoc>,
  python3-enchant <!nodoc>,
@@ -38,7 +37,7 @@
  libjs-jquery <!nodoc>,
  sphinx-common <!nodoc>,
  python3-blinker <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://flask-dance.readthedocs.io/en/latest/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-dance
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-dance.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=flask-dance
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_after_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
  https://github.com/singingwolfboy/flask-dance/tags .*/v(\d\S+)\.tar\.gz
